# fn:deep-equal

fn:deep-equal(item()* $parameter1, item()* $parameter2) → boolean

Function signature

$operand1 | item() *
$operand2 | item() *
Result | xs:boolean

Compares two sequences for deep equality: the names and contents must be the same, but nodes need not have the same identity.

XPath 2.0 Specification

fn:deep-equal(item()* $parameter1, item()* $parameter2, string $collation) → boolean

Function signature

$operand1 | item() *
$operand2 | item() *
$collation | string
Result | xs:boolean

Compares two sequences for deep equality; string values are compared using the named collation; nodes are compared for deep equality of names and content.

XPath 2.0 Specification

Expand | Up Next